//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace QLKS_EF
{
    using System;
    using System.Collections.Generic;
    
    public partial class DatPhong
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public DatPhong()
        {
            this.ChiTietDatPhongs = new HashSet<ChiTietDatPhong>();
            this.HoaDons = new HashSet<HoaDon>();
        }
    
        public int MaDatPhong { get; set; }
        public Nullable<int> MaKH { get; set; }
        public string MaPhong { get; set; }
        public Nullable<System.DateTime> NgayDen { get; set; }
        public Nullable<System.DateTime> NgayDi { get; set; }
        public Nullable<int> SoNguoiO { get; set; }
        public Nullable<double> TienCoc { get; set; }
        public Nullable<int> NVTiepNhan { get; set; }
        public Nullable<double> TongTien { get; set; }
        public Nullable<int> SoNgayO { get; set; }
        public Nullable<bool> TraPhong { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ChiTietDatPhong> ChiTietDatPhongs { get; set; }
        public virtual KhachHang KhachHang { get; set; }
        public virtual Phong Phong { get; set; }
        public virtual NhanVien NhanVien { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<HoaDon> HoaDons { get; set; }
    }
}
